Bug 107553 - workspace switcher removes focus from windows
workspace switcher removes focus from windows
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2003-10-20 11:46 EDT by Erno Härkönen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-20 09:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Erno Härkönen 2003-10-20 11:46:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
Workspace switcher applet removes focus from the currently focused window when
switching to new workspace with mouse click. Keyboard shortcuts for the same
leave the active windows focused (ctrl+alt+left, ctrl+alf+right, ...).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open any program that creates a window
2. switch to another workspace using mouse click
3. switch to previous workspace using keyboard shortcuts

Actual Results:  Window has lost its focus.

Expected Results:  Window should have focus so that it shouldn't need to be

Additional info:
Comment 1 Bart Martens 2004-02-10 19:49:07 EST
Also known upstream:

Comment 2 Mark McLoughlin 2004-02-20 09:36:16 EST
Lets track this upstream.

Note You need to log in before you can comment on or make changes to this bug.